Debian Bug report logs - #707643
'ITP: grokmirror -- Framework to mirroring git repositories'

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Adrian Alves <aalves@gmail.com>

Date: Thu, 9 May 2013 20:42:02 UTC

Owned by: Adrian Alves <aalves@gmail.com>

Severity: wishlist

Fixed in version grokmirror/0.3.5-1

Done: edmonds@debian.org (Robert S. Edmonds)

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#707643; Package wnpp. (Thu, 09 May 2013 20:42:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Adrian Alves <aalves@gmail.com>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. (Thu, 09 May 2013 20:42:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Adrian Alves <aalves@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: python-grokmirror -- Framework to smartly mirror git repositories
Date: Thu, 09 May 2013 17:38:47 -0300
Package: wnpp
Severity: wishlist
Owner: Adrian Alves <aalves@gmail.com>

* Package name    : python-grokmirror
  Version         : 0.3
  Upstream Author : Konstantin Ryabitsev <mricon@kernel.org>
* URL             : https://git.kernel.org/cgit/utils/grokmirror/grokmirror.git
* License         : GPL
  Programming Lang: Python
  Description     : Framework to smartly mirror git repositories

Grokmirror was written to make mirroring large git repository
collections more efficient. Grokmirror uses the manifest file published
by the master mirror in order to figure out which repositories to
clone, and to track which repositories require updating. The process is
extremely lightweight and efficient both for the master and for the
mirrors.



Changed Bug title to 'ITP: grokmirror -- Framework to smartly mirror git' from 'ITP: python-grokmirror -- Framework to smartly mirror git repositories' Request was from Adrian Alves <aalves@gmail.com> to control@bugs.debian.org. (Wed, 15 May 2013 23:18:13 GMT) Full text and rfc822 format available.

Changed Bug title to ''ITP: grokmirror -- Framework to smartly mirror git' from 'ITP: grokmirror -- Framework to smartly mirror git' Request was from Adrian Alves <aalves@gmail.com> to control@bugs.debian.org. (Wed, 15 May 2013 23:21:08 GMT) Full text and rfc822 format available.

Changed Bug title to ''ITP: grokmirror -- Framework to mirroring git repositories'' from ''ITP: grokmirror -- Framework to smartly mirror git' Request was from Adrian Alves <aalves@gmail.com> to control@bugs.debian.org. (Wed, 15 May 2013 23:48:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Adrian Alves <aalves@gmail.com>:
Bug#707643; Package wnpp. (Sat, 10 Aug 2013 04:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Edmonds <edmonds@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Adrian Alves <aalves@gmail.com>. (Sat, 10 Aug 2013 04:33:04 GMT) Full text and rfc822 format available.

Message #16 received at 707643@bugs.debian.org (full text, mbox):

From: Robert Edmonds <edmonds@debian.org>
To: Adrian Alves <aalves@gmail.com>, 707643@bugs.debian.org
Subject: Re: ITP: grokmirror and looking for sponsor
Date: Sat, 10 Aug 2013 00:24:41 -0400
[Message part 1 (text/plain, inline)]
Adrian Alves wrote:
> last night I sent an ITP for python-grokmirror never saw or get it into
> devel or devel-announce not sure where that ITP with bugreport tool goes,
> how I need to proceed? am a little bit lost
> 
> On Thu, May 9, 2013 at 4:41 AM, Bart Martens <bartm@debian.org> wrote:
> 
> > On Thu, May 09, 2013 at 02:17:51AM -0300, Adrian Alves wrote:
> > > Hey guys am about to start with the debian developer process I need an
> > > sponsor to start with my pkg grokmirror, I already submitted an ITP didnt
> > > get the number of ITP yet but am looking for a mentor and sponsor to
> > guide
> > > me in all this process.
> >
> > I suggest that you upload your package to mentors.debian.net and mark it
> > "needs
> > sponsor = yes".
> >
> > Regards,
> >
> > Bart Martens

hello,

i've looked at this package.  it looks like you were intending to host
this on collab-maint, so i've created a grokmirror packaging repository
there and imported the packaging into git:

    http://anonscm.debian.org/gitweb/?p=collab-maint/grokmirror.git

the debian packaging is on the 'debian' branch.

there were a number of problems with the package which i've gone ahead
and fixed, and i also updated to the latest upstream version.  i think
this package is ready for the debian archive now, so i've just uploaded
it to DELAYED/7.

-- 
Robert Edmonds
edmonds@debian.org
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#707643; Package wnpp. (Sat, 10 Aug 2013 11:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Adrian Alves <aalves@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 10 Aug 2013 11:45:04 GMT) Full text and rfc822 format available.

Message #21 received at 707643@bugs.debian.org (full text, mbox):

From: Adrian Alves <aalves@gmail.com>
To: Robert Edmonds <edmonds@debian.org>
Cc: 707643@bugs.debian.org
Subject: Re: ITP: grokmirror and looking for sponsor
Date: Sat, 10 Aug 2013 08:41:28 -0300
[Message part 1 (text/plain, inline)]
On Sat, Aug 10, 2013 at 1:24 AM, Robert Edmonds <edmonds@debian.org> wrote:

> Adrian Alves wrote:
> > last night I sent an ITP for python-grokmirror never saw or get it into
> > devel or devel-announce not sure where that ITP with bugreport tool goes,
> > how I need to proceed? am a little bit lost
> >
> > On Thu, May 9, 2013 at 4:41 AM, Bart Martens <bartm@debian.org> wrote:
> >
> > > On Thu, May 09, 2013 at 02:17:51AM -0300, Adrian Alves wrote:
> > > > Hey guys am about to start with the debian developer process I need
> an
> > > > sponsor to start with my pkg grokmirror, I already submitted an ITP
> didnt
> > > > get the number of ITP yet but am looking for a mentor and sponsor to
> > > guide
> > > > me in all this process.
> > >
> > > I suggest that you upload your package to mentors.debian.net and mark
> it
> > > "needs
> > > sponsor = yes".
> > >
> > > Regards,
> > >
> > > Bart Martens
>
> hello,
>
> i've looked at this package.  it looks like you were intending to host
> this on collab-maint, so i've created a grokmirror packaging repository
> there and imported the packaging into git:
>
>     http://anonscm.debian.org/gitweb/?p=collab-maint/grokmirror.git
>
> the debian packaging is on the 'debian' branch.
>
> there were a number of problems with the package which i've gone ahead
> and fixed, and i also updated to the latest upstream version.  i think
> this package is ready for the debian archive now, so i've just uploaded
> it to DELAYED/7.
>
> --
> Robert Edmonds
> edmonds@debian.org
>

Hello Robert,

What fixes you apply to my pkg? can you mentor me?
there is anything else that I can do for this pkg? or you already done with
everything?
To continue with the pkg process you have done with everything?

Regards, Adrian.-
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Adrian Alves <aalves@gmail.com>:
Bug#707643; Package wnpp. (Sat, 10 Aug 2013 13:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Edmonds <edmonds@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Adrian Alves <aalves@gmail.com>. (Sat, 10 Aug 2013 13:09:04 GMT) Full text and rfc822 format available.

Message #26 received at 707643@bugs.debian.org (full text, mbox):

From: Robert Edmonds <edmonds@debian.org>
To: Adrian Alves <aalves@gmail.com>
Cc: 707643@bugs.debian.org
Subject: Re: ITP: grokmirror and looking for sponsor
Date: Sat, 10 Aug 2013 09:08:22 -0400
[Message part 1 (text/plain, inline)]
Adrian Alves wrote:
> What fixes you apply to my pkg? can you mentor me?
> there is anything else that I can do for this pkg? or you already done with
> everything?
> To continue with the pkg process you have done with everything?

hello, adrian:

you can see the complete set of changes in the debian packaging on the
'debian' branch in the packaging repository:

http://anonscm.debian.org/gitweb/?p=collab-maint/grokmirror.git;a=shortlog;h=refs/heads/debian

there were a number of problems such as not actually installing the
scripts or their manpages, but the most serious was the lack of a
debian/copyright file.  btw, i hope you are OK with GPL-2+ as a license
for the packaging work.

there was also a bug in the manpages for which i submitted a fix which
was applied upstream:

https://lists.kernel.org/pipermail/grokmirror/2013-August/000003.html

i use grokmirror myself and would like to see it in debian, so i'd be
happy to co-maintain it with you in collab-maint.  btw, if your alioth
account is not on the collab-maint team i can advocate for you.  but,
yes, in my opinion the initial packaging work is done now and the
package is ready for inclusion in the debian archive.

-- 
Robert Edmonds
edmonds@debian.org
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Fri, 16 Aug 2013 20:06:10 GMT) Full text and rfc822 format available.

Reply sent to edmonds@debian.org (Robert S. Edmonds):
You have taken responsibility. (Mon, 02 Sep 2013 16:03:44 GMT) Full text and rfc822 format available.

Notification sent to Adrian Alves <aalves@gmail.com>:
Bug acknowledged by developer. (Mon, 02 Sep 2013 16:03:44 GMT) Full text and rfc822 format available.

Message #33 received at 707643-close@bugs.debian.org (full text, mbox):

From: edmonds@debian.org (Robert S. Edmonds)
To: 707643-close@bugs.debian.org
Subject: Bug#707643: fixed in grokmirror 0.3.5-1
Date: Mon, 02 Sep 2013 16:00:07 +0000
Source: grokmirror
Source-Version: 0.3.5-1

We believe that the bug you reported is fixed in the latest version of
grokmirror, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 707643@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Robert S. Edmonds <edmonds@debian.org> (supplier of updated grokmirror package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 16 Aug 2013 12:19:46 -0400
Source: grokmirror
Binary: grokmirror
Architecture: source all
Version: 0.3.5-1
Distribution: unstable
Urgency: low
Maintainer: Adrian Alves <aalves@gmail.com>
Changed-By: Robert S. Edmonds <edmonds@debian.org>
Description: 
 grokmirror - framework to smartly mirror git repositories
Closes: 707643
Changes: 
 grokmirror (0.3.5-1) unstable; urgency=low
 .
   * Initial release. (Closes: #707643)
Checksums-Sha1: 
 ac3b9c46b355cb2c7799ba08b39d7666afab3d23 1317 grokmirror_0.3.5-1.dsc
 b5b15b39fe6eedb37e720adc7db9dbb691f538b1 36205 grokmirror_0.3.5.orig.tar.gz
 60e794bd67af9f7a8a73c980c55ac52472ba0a97 2623 grokmirror_0.3.5-1.debian.tar.gz
 e4a1a449b9b84e051b6363cbb2dbc267081b27ba 25792 grokmirror_0.3.5-1_all.deb
Checksums-Sha256: 
 623810175178cb9c43434ab0a115be2d9c6db3a61aa62fd83c1e70d536f00102 1317 grokmirror_0.3.5-1.dsc
 5ab999743da52a4d7fb14dbac2641303744612e55127930fd15ce7d7a1783203 36205 grokmirror_0.3.5.orig.tar.gz
 d1c5c0f72e9a8b5858bcd551b8a1acac2502f645f9dbf90da0fc25582d0d28f9 2623 grokmirror_0.3.5-1.debian.tar.gz
 a470f82734c17c55269853f7be1f3e2f88181f06ba7845e7f6e3d7e3b32ea060 25792 grokmirror_0.3.5-1_all.deb
Files: 
 90b3c3580b7854cc5eebfe31b2871355 1317 vcs optional grokmirror_0.3.5-1.dsc
 3e26910f125feec76e840bb73f85dbf8 36205 vcs optional grokmirror_0.3.5.orig.tar.gz
 c7d9f04030442df4d3327a77f0e39573 2623 vcs optional grokmirror_0.3.5-1.debian.tar.gz
 a881a2e0f0eaeddaa94f52a414777050 25792 vcs optional grokmirror_0.3.5-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlIOUl4ACgkQdp+/SHMBQJFJkQCeMEIIla6kxNbyk3OLKUnTBQSN
mp0AnREE9qg8PCpJzu/ZqpOnFAVaHog8
=NaFe
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 01 Oct 2013 07:37:58 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 04:22:54 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.